Subject: bug#46493: [feature/pgtk] Low contrast region face

From: Po Lu <[email-masked]>
Date: Mon, 20 Jun 2022 09:44:33 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> But we don't.  The user has specified a dark theme, but we use the
> default Emacs foreground/background colours.

Okay, I should have been more clear: we use the system colors for the
region face.  I had some code around that made Emacs respect the GTK
style more (in my first attempt at porting Emacs to GTK 4), but it broke
between GTK 4.2 and GTK 4.4, so I don't think we want to go down that
rabbit hole.

> We don't follow the personal preferences here, and this bug report is
> exactly about the contrast being too low, so obviously people do think
> that.

With all due respect, the reporter is just one person.  There are many
more users of the GTK builds (including me), and over the years they
have not had problems with this.